DI-NETBOOT-ASSISTANT(1)

NAME
di-netboot-assistant - Debian-Installer netboot assistant

SYNOPSIS
di-netboot-assistant {install | uninstall | uncache | purge | fw-toggle} image... [--alias=alias] [--arch=arch] [--di-args=ARGS] [--ignore-sig] [--target-args=ARGS] [--offline] [--verbose]
di-netboot-assistant {rebuild-grub | rebuild-menu} [--verbose]
di-netboot-assistant {-h | --help} | {-V | --version}

DESCRIPTION

di-netboot-assistant is a tool to download and extract Debian Installer netboot images.

Unless the -h, --help, -V, or --version option is given, one of the following commands must be present.

install
    install is followed by a repository name desired for installation. The repository name has to be one of those declared in /etc/di-netboot-assistant/di-sources.list. The image will be installed/extracted in the default location (declared in /etc/di-netboot-assistant/di-netboot-assistant.conf).

uninstall
    uninstall is followed by the name of the repository to be uninstalled (or the repository's alias if you used --alias=). The netboot files related to that distribution will be removed from the TFTP server.

uncache
    uncache will clean the cached files for the given netboot image. You must specify a repository name (not an --alias= name).

purge
    purge is followed by a repository name desired for installation. purge is identical to running uninstall then uncache for a given repository.

rebuild-grub
    rebuild-grub will rebuild the grub EFI netboot image. The configuration itself is set up by rebuild-menu. This command takes no argument.

rebuild-menu
    rebuild-menu will rebuild the top level menu. It is useful if you have modified di-netboot-assistant.conf or added a Live ISO image. The installer images need to have a top level menu (like i386, amd64). This command takes no argument.

fw-toggle
    fw-toggle is followed by a repository name and adds respectively removes non-free firmware. The non-free firmware will be downloaded if not available from cache. Use n-pkg as repository to add the firmware to packaged installer images.

OPTIONS

-h, --help Print short help and exit

-V, --version
    Print script version and exit

--alias=alias
    Specify the alias name under which this repository will be saved. Alias names can only contain alphanumeric, "_" and "-" characters. This is especially useful for daily images. By default, the alias name is the same as the repository name.

--arch=arch
    Specify the architecture to operate on. The architecture used for the install action must be declared in /etc/di-netboot-assistant/di-sources.list. Architectures available for the purge action are those previously installed. Available architectures can be listed by leaving --arch= empty. If absent, the system's architecture (as reported by dpkg --print-architecture) is used.

--verbose
    Verbose messages

--di-args="ARGS"
    Debian-Installer boot arguments. The specified arguments will be *appended* to the one provided in the downloaded image, before the "--". (You can also define DI_ARGS= in di-netboot-assistant.conf).

--tftproot="DIR"
    Overwrite the TFTP_ROOT variable given in the configuration. Use DIR as the TFTP server's root directory instead. Not recommended and to be used with care, as only a single TFTP root directory is supported.

--ignore-sig
    Ignore failing image signature checks. Useful when run non-interactively in scripts and images are known to be not signed.

--target-args="ARGS"
    Boot arguments for the target (installed) system. The specified arguments will be *appended* to the one provided in the downloaded image, at the very end of the line. (You can also define TARGET_ARGS= in di-netboot-assistant.conf).

--offline
    Don't download the files (use the files cached previously).

EXAMPLES

To install a netboot image for the stable repository, for the default architecture:
    di-netboot-assistant install stable

To list the installed netboot images that can be removed:
    di-netboot-assistant purge

To remove a netboot image for the stable repository, for the default architecture:
    di-netboot-assistant purge stable

To toggle firmware for the stable repository, for the default architecture:
    di-netboot-assistant fw-toggle stable

To toggle firmware for packaged debian-installer netboot images, all architectures:
    di-netboot-assistant fw-toggle n-pkg --arch=all

EXIT CODE

0   Successful program execution.

1   An error occurred. (Note that purge doesn't fail if the specified repository doesn't exists).

FILES

/etc/di-netboot-assistant/di-netboot-assistant.conf
    The default system-wide configuration file. The file syntax must be bash(1) compatible.

~/.di-netboot-assistant/di-netboot-assistant.conf
    User's own configuration file. The file syntax must be bash(1) compatible. (See file peruser.di-netboot-assistant.conf, in /usr/share/doc/di-netboot-assistant/examples/).

/etc/di-netboot-assistant/di-sources.list
    This file contains the list of downloadable netboot images.

/etc/di-netboot-assistant/pxelinux.HEAD
    The content of this file is prepended to the generated PXElinux config file (i.e boot menu). PXElinux bootloader is used on BIOS based i386 and amd64 systems.

/var/lib/di-netboot-assistant/
    The folder where hints about installed netboot images are stored. Do not edit those files, re-use install to modify the settings of installed image.

/var/cache/di-netboot-assistant/
    The folder where downloaded files are stored (cached) before "installing" them. Use the action uncache to remove cached files.

SECURITY
Do not use sudo to grant execution right to di-netboot-assistant (see the README file).

PROXY
di-netboot-assistant uses wget or curl to actually download the files. You can set the environnement variables accordingly.

AUTHOR
di-netboot-assistant was written by Frank Lin PIAT <fpiat@klabs.be>.